# Generated from ruson-1.3.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ruson

Name: rubygem-%{gem_name}
Version: 1.3.5
Release: 1%{?dist}
Summary: A Ruby serialization/deserialization library to convert Ruby Objects into JSON and back
License: MIT
URL: https://github.com/klriutsa/ruson
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(ffaker) >= 2.13.0
# BuildRequires: rubygem(ffaker) < 2.14
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(timecop) >= 0.9.1
# BuildRequires: rubygem(timecop) < 0.10
BuildArch: noarch

%description
A Ruby serialization/deserialization library to convert Ruby Objects into JSON
and back.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/ruson.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.3.5-1
- Initial package
